# Doctor Lectro
[![Donate via LiberaPay](https://img.shields.io/liberapay/receives/rocketnine.space.svg?logo=liberapay)](https://liberapay.com/rocketnine.space)
[![Donate via Patreon](https://img.shields.io/badge/dynamic/json?color=%23e85b46&label=Patreon&query=data.attributes.patron_count&suffix=%20patrons&url=https%3A%2F%2Fwww.patreon.com%2Fapi%2Fcampaigns%2F5252223)](https://www.patreon.com/rocketnine)

[Metroidvania](https://en.wikipedia.org/wiki/Metroidvania) video game

This game was created for the [Ebitengine Game Jam](https://itch.io/jam/ebiten-game-jam).

## Play

### Browser

[**Play in your browser**](https://rocketnine.itch.io/doctorlectro)

### Compile

Install the dependencies listed for [your platform](https://github.com/hajimehoshi/ebiten/blob/main/README.md#platforms),
then run the following command:

`go install code.rocketnine.space/tslocum/doctorlectro@latest`

Run `~/go/bin/doctorlectro` to play.

## Support

Please share issues and suggestions [here](https://code.rocketnine.space/tslocum/doctorlectro/issues).

## Credits

- [Trevor Slocum](https://rocketnine.space) - Game design and programming
- [node punk](https://open.spotify.com/artist/15eFpWQPNRxB89PnFNWvjU?si=z-jfVwYHTxugaC-BGZiyNg) - Music
- [0x72](https://0x72.itch.io/16x16-robot-tileset) - Robot tileset (free asset)

## Dependencies

- [ebiten](https://github.com/hajimehoshi/ebiten) - Game engine
- [gohan](https://code.rocketnine.space/tslocum/gohan) - Entity Component System framework
- [go-tiled](https://github.com/lafriks/go-tiled) - Tiled map file (.TMX) parser
- [cp](https://github.com/jakecoffman/cp) - Physics engine
